/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 2.0.0
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/* Add your custom styles here */

body .elementor-widget-icon .elementor-icon-wrapper {
	display: flex;
}
body .elementor-widget-icon-list svg {
	margin: 0 !important;
}
body .elementor-widget-icon-list .elementor-icon-list-text {
	padding: 0 !important;
}
body * p:last-child {
	margin-bottom: 0 !important;
}
body .elementor-mark-required .elementor-field-label:after {
	padding: 0;
}
.elementor-widget-form .elementor-upload-field {
	border-radius: 0 !important;
}
body .elementor-button-icon svg {
	width: 7px;
}

body span.color-blue {
	color: var(--e-global-color-primary)
}
body span.color-red {
	color: var(--e-global-color-accent); /* --e-global-color-47f2176 */
}
body span.color-green {
	color: var(--e-global-color-secondary)
}
body .elementor-widget-text-editor ul:not(.woocommerce-error) {
	padding-left: 22px;
}

/* 
 * make whole icon-box widget clickable if link is added
 * 
body .elementor-widget-icon-box {
    position: relative;
}
body .elementor-widget-icon-box a {
    position: static;
}
body .elementor-widget-icon-box a::after {
    content: "";
    position: absolute;
    inset: 0;
    z-index: 1;
}
*/


/************
 * My Account
 * **********/
body.woocommerce-account .woocommerce-MyAccount-content  a,
body.woocommerce-account .woocommerce-form-login.login a{
	color: var(--e-global-color-primary);
}
body.woocommerce-account .woocommerce-MyAccount-content a:hover.
body.woocommerce-account .woocommerce-form-login.login a:hover{
	text-decoration: underline;
}
body.woocommerce-account .woocommerce-MyAccount-navigation,
body.woocommerce-account .woocommerce-MyAccount-content{
    border: 1px solid var(--e-global-color-e4724ec);
    background: var( --e-global-color-74684ce );
    border-radius: 12px;
    padding: 24px 0;
}
body.woocommerce-account .woocommerce-MyAccount-content{
	padding: 40px;
}

body.woocommerce-account .woocommerce-MyAccount-navigation ul{
	margin: 0;
	padding: 0;
	list-style: none;
}

body.woocommerce-account  li.woocommerce-MyAccount-navigation-link a {
    padding: 10px 24px;
    display: flex;
    justify-content: space-between;
    border-left: 3px solid transparent;
    align-items: center;
    border-bottom: 1px solid var( --e-global-color-7d4903d );
	font-family: var(--e-global-typography-afab46b-font-family), Sans-serif;
    font-size: var(--e-global-typography-afab46b-font-size);
    font-weight: var(--e-global-typography-afab46b-font-weight);
    text-decoration: var(--e-global-typography-afab46b-text-decoration);
    line-height: var(--e-global-typography-afab46b-line-height);
    color: var(--e-global-color-text);
}
body.woocommerce-account  li.woocommerce-MyAccount-navigation-link:last-child a{
	border-bottom: none;
}
body.woocommerce-account  li.woocommerce-MyAccount-navigation-link.is-active a,
body.woocommerce-account  li.woocommerce-MyAccount-navigation-link a:hover{
	border-left: 3px solid var(--e-global-color-primary);
}

body.woocommerce-account .my-account-section  .woocommerce-info {
    border-top-color: var(--e-global-color-primary);
}

body.woocommerce-account .my-account-section  .button {
    background: var(--e-global-color-primary) !important;
    color: var( --e-global-color-74684ce ) !important;
}
body.woocommerce-account .my-account-section  .button:hover {
	background: var( --e-global-color-secondary )  !important;
	text-decoration: none;
}

body.woocommerce-account .woocommerce-MyAccount-content h2{
	color: var( --e-global-color-text );
	font-family: var(--e-global-typography-a247177-font-family), Sans-serif;
    font-size: var(--e-global-typography-a247177-font-size);
    font-weight: var(--e-global-typography-a247177-font-weight);
    text-decoration: var(--e-global-typography-a247177-text-decoration);
    line-height: var(--e-global-typography-a247177-line-height);
    letter-spacing: var(--e-global-typography-a247177-letter-spacing);
	margin-bottom: 10px;
}
body.woocommerce-account .addresses .title{
	margin-bottom: 20px;
}
body.woocommerce-account .addresses .title .edit {
    float: left;
}

/*Form*/
body.woocommerce-account form .form-row .input-text,
body.woocommerce-account form .form-row select{
	background-color: var(--e-global-color-74684ce);
    border-color: var(--e-global-color-7d4903d);
    border-radius: 8px 8px 8px 8px;
	    font-family: var(--e-global-typography-c5198a3-font-family), Sans-serif;
    font-size: var(--e-global-typography-c5198a3-font-size);
    font-weight: var(--e-global-typography-c5198a3-font-weight);
    text-decoration: var(--e-global-typography-c5198a3-text-decoration);
    line-height: var(--e-global-typography-c5198a3-line-height);
    letter-spacing: var(--e-global-typography-c5198a3-letter-spacing);
    word-spacing: var(--e-global-typography-c5198a3-word-spacing);
}
body.woocommerce-account form .form-row .input-text:focus,
body.woocommerce-account form .form-row select:focus,
body.woocommerce-account form .form-row .input-text:focus-visible,
body.woocommerce-account form .form-row select:focus-visible{
	border-color: var(--e-global-color-7d4903d);
	outline: none;
}
body.woocommerce-account form .form-row label{
	font-family: var(--e-global-typography-6841f30-font-family), Sans-serif;
    font-size: var(--e-global-typography-6841f30-font-size);
    font-weight: var(--e-global-typography-6841f30-font-weight);
    text-decoration: var(--e-global-typography-6841f30-text-decoration);
    line-height: var(--e-global-typography-6841f30-line-height);
	color: var(--e-global-color-text);
}
body.woocommerce-account .select2-container .select2-dropdown, 
body.woocommerce-account .select2-container .select2-selection{
	background-color: var(--e-global-color-74684ce);
    border-color: var(--e-global-color-7d4903d);
    border-radius: 8px 8px 8px 8px;
}
body.woocommerce-account form .form-row,
body.woocommerce-account .woocommerce-address-fields__field-wrapper,
body.woocommerce-account form fieldset{
	margin-bottom: 20px;
}
body.woocommerce-account form fieldset{
	border: 1px solid var(--e-global-color-7d4903d);
}

body.woocommerce-account:not(.woocommerce-dashboard, .woocommerce-orders, .woocommerce-downloads, .woocommerce-edit-address, .woocommerce-edit-account, .woocommerce-lost-password ) .main-page-title {
    display: none;
}

body.woocommerce-account .woocommerce > h2{
	    font-family: var(--e-global-typography-84cb9d0-font-family), Sans-serif;
    font-size: var(--e-global-typography-84cb9d0-font-size);
    text-decoration: var(--e-global-typography-84cb9d0-text-decoration);
    line-height: var(--e-global-typography-84cb9d0-line-height);
    letter-spacing: var(--e-global-typography-84cb9d0-letter-spacing);
    text-align: center;
	margin: 0 0 40px;
}

body.woocommerce-account .woocommerce-form-login.login,
body.woocommerce-account .woocommerce-ResetPassword.lost_reset_password{
	border: 1px solid var(--e-global-color-e4724ec);
    background: var( --e-global-color-74684ce );
    border-radius: 12px;
    padding: 40px;
	max-width: 540px;
	margin: 0 auto;
}
body.woocommerce-account .woocommerce-ResetPassword .form-row-first{
	width: 100%;
}
/*Notifications*/
body.woocommerce-account  ul.woocommerce-error {
    background: var(--e-global-color-74684ce);
    color: var(--e-global-color-text);
}

/*Create PayStub*/
.psg-form .psg-upload-clear{
	padding: 0;
    color: var(--e-global-color-text);
    background: var(--e-global-color-text);
}
.psg-form .psg-upload-clear:before {
    content: 'X';
    font-size: 12px;
    line-height: 100%;
    color: white;
    position: absolute;
}
.psg-form .psg-upload-clear:hover{
	background: var(--e-global-color-text);
	 color: var(--e-global-color-text);
}
.psg-form .psg-paystub-accordion,
.psg-form button,
.psg-form .psg-paystub-accordion:focus,
.psg-form button:hover,
.psg-form button:focus{
	color: var(--e-global-color-74684ce);
	background: var( --e-global-color-primary );
}
.psg-form .psg-paystub-accordion{
	text-wrap: auto;
}
.psg-form .psg-info-bubble{
	color: var(--e-global-color-74684ce);
}
.psg-form  .psg-upload.psg-upload--ghost{
	color: var(--e-global-color-74684ce);
	background: var(--e-global-color-text);
	padding: 12px 20px;
}
.psg-form  .psg-upload.psg-upload--ghost:after {
	content: '';
	height: 20px;
	width: 20px;
	background: url('/wp-content/uploads/2026/03/cloud-upload.svg')
}
.psg-form .psg-review-controls{
	gap: 20px;
}

.psg-form .psg-review-control{
	width: 30%;
}
@media(max-width: 767px){
	.psg-form .psg-review-control{
		width: 100%;
	}
}

/*Minicart*/
.elementor-menu-cart__main .elementor-menu-cart__footer-buttons{
	display: flex;
}
.elementor-menu-cart__main  .elementor-button--view-cart{
	display: none
}
.elementor-menu-cart__main .elementor-button--checkout{
	width: 100%;
}
.elementor-menu-cart__main .elementor-button--checkout:hover,
.wc-block-components-checkout-place-order-button:hover{
	background: var( --e-global-color-secondary ) !important;
}
.wc-block-components-checkout-place-order-button{
	border: 0 !important;
}
.woocommerce .woocommerce-order {
	padding: 120px 24px;
	max-width: 1040px;
}
@media(max-width: 767px){
	.woocommerce .woocommerce-order {
		padding: 64px 10px;
		max-width: 1040px;
	}
}
.woocommerce .woocommerce-order .button {
    background-color: var(--e-global-color-primary);
    font-family: var(--e-global-typography-accent-font-family), Sans-serif;
    font-size: var(--e-global-typography-accent-font-size);
    font-weight: var(--e-global-typography-accent-font-weight);
    text-decoration: var(--e-global-typography-accent-text-decoration);
    line-height: var(--e-global-typography-accent-line-height);
    color: var(--e-global-color-74684ce);
    border-radius: 12px 12px 12px 12px;
    padding: 12px 20px 12px 20px;
}
.woocommerce table.shop_table {
    border-collapse: collapse;
    border: 1px var(--e-global-color-7d4903d) solid;
}

.woocommerce .woocommerce-customer-details address {
     border: 1px var(--e-global-color-7d4903d) solid;
    padding: 20px;
    border-radius: 12px;
}
.woocommerce .woocommerce-order .woocommerce-notice--success{
	padding: 20px;
    border: 1px silver solid;
    border-radius: 12px;
    margin-bottom: 30px;
    font-weight: bold;
    background: #0080000d;
}
.woocommerce .woocommerce-order .button:hover{
    background: var( --e-global-color-secondary );
    color: var(--e-global-color-74684ce);
}
.woocommerce .woocommerce-order h2{
	color: var(--e-global-color-text);
    font-family: var(--e-global-typography-b6ffcf8-font-family), Sans-serif;
    font-size: var(--e-global-typography-b6ffcf8-font-size);
    font-weight: var(--e-global-typography-b6ffcf8-font-weight);
    text-decoration: var(--e-global-typography-b6ffcf8-text-decoration);
    line-height: var(--e-global-typography-b6ffcf8-line-height);
    letter-spacing: var(--e-global-typography-b6ffcf8-letter-spacing);
}
.woocommerce .woocommerce-order h3{
	font-size: 24px;
}